Fosphor

## Files

file | fosphor.h
| Main fosphor entry point.

## Classes

class | gr::fosphor::base_sink_c
| Base fosphor sink API interface. More...
class | gr::fosphor::glfw_sink_c
| GLFW version of fosphor sink. More...
class | gr::fosphor::qt_sink_c
| Qt version of fosphor sink. More...
class | gr::fosphor::base_sink_c_impl
| Base class for fosphor sink implementation. More...
struct | fosphor_channel
struct | fosphor_render
| fosphor render options More...
class | gr::fosphor::glfw_sink_c_impl
| GLFW version of fosphor sink (implementation) More...
class | gr::fosphor::qt_sink_c_impl
| Qt version of fosphor sink (implementation) More...

## Macros

#define | FOSPHOR_MAX_CHANNELS 8
#define | FRO_LIVE (1<<0)
| Display live spectrum. More...
#define | FRO_MAX_HOLD (1<<1)
| Display max-hold spectrum. More...
#define | FRO_HISTO (1<<2)
| Display histogram. More...
#define | FRO_WATERFALL (1<<3)
| Display waterfall. More...
#define | FRO_LABEL_FREQ (1<<4)
| Display frequency labels. More...
#define | FRO_LABEL_PWR (1<<5)
| Display power labels. More...
#define | FRO_LABEL_TIME (1<<6)
| Display time labels. More...
#define | FRO_CHANNELS (1<<7)
| Display channels. More...
#define | FRO_COLOR_SCALE (1<<8)
| Display intensity color scale. More...

## Functions

struct fosphor * | fosphor_init (void)
void | fosphor_release (struct fosphor *self)
int | fosphor_process (struct fosphor *self, void *samples, int len)
void | fosphor_draw (struct fosphor *self, struct fosphor_render *render)
void | fosphor_set_fft_window_default (struct fosphor *self)
void | fosphor_set_fft_window (struct fosphor *self, float *win)
void | fosphor_set_power_range (struct fosphor *self, int db_ref, int db_per_div)
void | fosphor_set_frequency_range (struct fosphor *self, double center, double span)
void | fosphor_render_defaults (struct fosphor_render *render)
void | fosphor_render_refresh (struct fosphor_render *render)

## Detailed Description

## Macro Definition Documentation

## FOSPHOR_MAX_CHANNELS

#define FOSPHOR_MAX_CHANNELS 8

## FRO_CHANNELS

#define FRO_CHANNELS (1<<7)

Display channels.

## FRO_COLOR_SCALE

#define FRO_COLOR_SCALE (1<<8)

Display intensity color scale.

## FRO_HISTO

#define FRO_HISTO (1<<2)

Display histogram.

## FRO_LABEL_FREQ

#define FRO_LABEL_FREQ (1<<4)

Display frequency labels.

## FRO_LABEL_PWR

#define FRO_LABEL_PWR (1<<5)

Display power labels.

## FRO_LABEL_TIME

#define FRO_LABEL_TIME (1<<6)

Display time labels.

## FRO_LIVE

#define FRO_LIVE (1<<0)

Display live spectrum.

## FRO_MAX_HOLD

#define FRO_MAX_HOLD (1<<1)

Display max-hold spectrum.

## FRO_WATERFALL

#define FRO_WATERFALL (1<<3)

Display waterfall.

## Function Documentation

## fosphor_draw()

void fosphor_draw | ( | struct fosphor * | self,
|  | struct fosphor_render * | render
| ) |  |

## fosphor_init()

struct fosphor* fosphor_init | ( | void |  | ) |

## fosphor_process()

int fosphor_process | ( | struct fosphor * | self,
|  | void * | samples,
|  | int | len
| ) |  |

## fosphor_release()

void fosphor_release | ( | struct fosphor * | self | ) |

## fosphor_render_defaults()

void fosphor_render_defaults | ( | struct fosphor_render * | render | ) |

## fosphor_render_refresh()

void fosphor_render_refresh | ( | struct fosphor_render * | render | ) |

## fosphor_set_fft_window()

void fosphor_set_fft_window | ( | struct fosphor * | self,
|  | float * | win
| ) |  |

## fosphor_set_fft_window_default()

void fosphor_set_fft_window_default | ( | struct fosphor * | self | ) |

## fosphor_set_frequency_range()

void fosphor_set_frequency_range | ( | struct fosphor * | self,
|  | double | center,
|  | double | span
| ) |  |

## fosphor_set_power_range()

void fosphor_set_power_range | ( | struct fosphor * | self,
|  | int | db_ref,
|  | int | db_per_div
| ) |  |